
### Description
Brief description of changes.

### Changes Made
Provide code snippets or screenshots as needed.

### How to Test
Provide instructions and/or code necessary to test the changes.

### MR t-shirt size
- [ ] extra-small (e.g., update color scheme)
- [ ] small (e.g., add tooltip to chart)
- [ ] medium (e.g., add new static chart, add new pipeline output)
- [ ] large (e.g., initial data processing pipeline, interactive chart)

### Timeline for review
- [ ] ASAP - blocker for deployment
- [ ] Today - blocker for ongoing work
- [ ] Next couple of days
- [ ] This week
- [ ] When reviewer has availability

### Review Needs
Does this MR include data processing, modeling, or visualization code that will require domain review prior to release?
- [ ] Yes, and I have opened an issue to document the need for review, using the `DomainReview` issue template
- [ ] Yes, and a domain review issue already exists
- [ ] No

### Related Issues
Provide links to any related issues, including open draft domain review issues.

### Additional Notes
Include any extra information or considerations for reviewers.

### Merge Request Checklists
- [ ] Code changes adhere to best practices documented in `README.md`
- [ ] Code has been cleaned the way Vue likes it - run `npm run lint --fix`
- [ ] If applicable, the need for future domain review has been documented in an issue
- [ ] Below section documents which browsers the site has been tested on:
  - Desktop/laptop
    - [ ] Chrome
    - [ ] Safari
    - [ ] Edge
    - [ ] Firefox
  - Mobile device
    - [ ] Chrome
    - [ ] Safari
    - [ ] Edge
    - [ ] Firefox
